# Get Mapped Locations

## Get Delivery Locations&#x20;

<mark style="color:blue;">`GET`</mark> `{baseUrl}/locations`

This endpoint allows you to view mapped delivery locations and their location code. \
\
Latitude and longitude or location code are required when requesting deliveries.&#x20;

**Query Parameters**

| Name    | Type   | Description           |
| ------- | ------ | --------------------- |
| country | string | 2-letter country code |

{% tabs %}
{% tab title="200 Locations fetched successfully" %}

```
{
    "status": true,
    "message": "Locations successfully retrieved",
    "data": [
        {
            "state": "Lagos State",
            "locals": [
                {
                    "name": "Ajah",
                    "locationCode": "01"
                }
                {
                    "name": "Ajeromi-Ifelodun",
                    "locationCode": "02"
                },
            ]
        }
    ]
}
```

{% endtab %}
{% endtabs %}

```json
// Sample Response Body - 200 OK
{
    "status": true,
    "message": "Locations fetched successfully",
    "data": [
        {
            "state": "Abia",
            "locals": [
                {
                    "name": "Aba North",
                    "locationCode": "IZJJ",
                    "isAvailable": true,
                    "isLockerAvailable": false
                },
                //...truncated for brevity
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/locations/get-delivery-locations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
